Loading...
Searching...
No Matches
D3D12_COMPUTE_PIPELINE_STATE_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

ID3D12RootSignature * | pRootSignature
D3D12_SHADER_BYTECODE | CS
UINT | NodeMask
D3D12_CACHED_PIPELINE_STATE | CachedPSO
D3D12_PIPELINE_STATE_FLAGS | Flags

## Detailed Description

Definition at line 2109 of file mini_d3d12.h.

## Member Data Documentation

## pRootSignature

ID3D12RootSignature* D3D12_COMPUTE_PIPELINE_STATE_DESC::pRootSignature

Definition at line 2110 of file mini_d3d12.h.

## CS

D3D12_SHADER_BYTECODE D3D12_COMPUTE_PIPELINE_STATE_DESC::CS

Definition at line 2111 of file mini_d3d12.h.

## NodeMask

UINT D3D12_COMPUTE_PIPELINE_STATE_DESC::NodeMask

Definition at line 2112 of file mini_d3d12.h.

## CachedPSO

D3D12_CACHED_PIPELINE_STATE D3D12_COMPUTE_PIPELINE_STATE_DESC::CachedPSO

Definition at line 2113 of file mini_d3d12.h.

## Flags

D3D12_PIPELINE_STATE_FLAGS D3D12_COMPUTE_PIPELINE_STATE_DESC::Flags

Definition at line 2114 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h